#
# spec file for package python-pywebdav
#
# Copyright (c) 2013 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/

%define mod_name PyWebDAV

Name:           python-PyWebDAV
BuildRequires:  python-setuptools
Version:        0.9.8
Release:        3.2
License:        GPL-3.0+
Source:         https://files.pythonhosted.org/packages/e9/14/5f2a654233e533797f32dd670dab8dd61ac974d5105950481e872bddb898/%{mod_name}-%{version}.tar.gz
Url:        	https://pypi.io/project/PyWebDAV/

Requires:  		python-setuptools

%if 0%{?suse_version} && 0%{?suse_version} <= 1110
%{!?python_sitelib: %global python_sitelib %(python -c "from distutils.sysconfig import get_python_lib; print get_python_lib()")}
%else
BuildArch:      noarch  
%endif

Group:          Productivity/Networking/Web/Servers
Summary:        Python-based WebDAV server
BuildRoot:      %{_tmppath}/%{name}-%{version}-build

%description
Python WebDAV implementation (level 1 and 2) that features a library that enables you to integrate WebDAV server capabilities to your application.
A fully working example on how to use the library is included. You can find a server in the DAVServer package. This server is fully functional and can even be run as daemon.
If you search an easy to use WebDAV server that supports most clients (cadaver, Mac OS X Finder, Windows Explorer, ...) then try out PyWebDAV. 


%prep
%setup -q -n %{mod_name}-%{version}

%build
python setup.py build

%install
python setup.py install --prefix=%_prefix --root=%buildroot 

%files
%defattr(-,root,root)
%doc README doc/*
%{python_sitelib}/*
%{_bindir}/davserver

%changelog
* Fri Jul  1 2016 axel.braun@gmx.de
- services file changed to localrun
  URL changed to pypi.io
* Sun Oct 20 2013 axel.braun@gmx.de
- preparation for push to d:l:p
* Sun Jun 30 2013 axel.braun@gmx.de
- Initial pywebdav on openSUSE build service
